Runtime

## org.eclipse.gmf.runtime.common.ui.services.parser
Interface IParserEditStatus

All Superinterfaces:
  IStatus

All Known Implementing Classes:
  ParserEditStatus

public interface IParserEditStatus
extends IStatus

Status object for indicating the validity of an edit.

Field Summary
`static int` `EDITABLE` Status code constant (value 0) indicating the edit status editable.
`static int` `UNEDITABLE` Status code constant (bit mask, value 1) indicating the edit status uneditable.

Fields inherited from interface org.eclipse.core.runtime.IStatus
`CANCEL, ERROR, INFO, OK, WARNING`

Methods inherited from interface org.eclipse.core.runtime.IStatus
`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches`

Field Detail

### EDITABLE

    public static final int EDITABLE

  Status code constant (value 0) indicating the edit status editable.

  See Also:
    Constant Field Values

### UNEDITABLE

    public static final int UNEDITABLE

  Status code constant (bit mask, value 1) indicating the edit status uneditable.

  See Also:
    Constant Field Values

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.